#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# PIXI.PixiShader Class

Defined in: `src/pixi/renderers/webgl/shaders/PixiShader.js:6`
Module: PIXI

## Constructor

### `PIXI.PixiShader`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:6`

- Index
- Methods
- Properties

## Item Index

### Methods

- PIXI.PixiShader#init
- PIXI.PixiShader#initSampler2D
- PIXI.PixiShader#initUniforms
- PIXI.PixiShader#syncUniforms

### Properties

- fragmentSrc - The fragment shader.
- program - The WebGL program.
- textureCount - A local texture counter for multi-texture shaders.

## Methods

### `PIXI.PixiShader#init`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:43`

### `PIXI.PixiShader#initSampler2D`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:167`

Initialises a Sampler2D uniform (which may only be available later on after initUniforms once the texture has loaded)

### `PIXI.PixiShader#initUniforms`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:94`

Initialises the shader uniform values. Uniforms are specified in the GLSL_ES Specification: http://www.khronos.org/registry/webgl/specs/latest/1.0/ http://www.khronos.org/registry/gles/specs/2.0/GLSL_ES_Specification_1.0.17.pdf

### `PIXI.PixiShader#syncUniforms`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:242`

Updates the shader uniform values.

## Properties

### `fragmentSrc - The fragment shader.`

Array

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:19`

### `program - The WebGL program.`

Any

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:14`

### `textureCount - A local texture counter for multi-texture shaders.`

Number

Defined in `src/pixi/renderers/webgl/shaders/PixiShader.js:33`